DRM_VBLANK_COUNT(9)

NAME
drm_vblank_count - retrieve “cooked” vblank counter value

SYNOPSIS

u32 drm_vblank_count(struct drm_device * dev, int crtc);

ARGUMENTS

dev
    DRM device

crtc
    which counter to retrieve

DESCRIPTION

Fetches the “cooked” vblank count value that represents the number of vblank events since the system was booted, including lost events due to modesetting activity.

This is the legacy version of drm_crtc_vblank_count.

RETURNS

The software vblank counter.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT